OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.TimerQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTimerQuery :: MonadIO m => m Bool
- gl_EXT_timer_query :: Bool
- pattern GL_TIME_ELAPSED_EXT :: GLenum
- glGetQueryObjecti64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetQueryObjectui64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()

# Extension Support

glGetEXTTimerQuery :: MonadIO m => m Bool Source #

Is the EXT_timer_query extension supported?

gl_EXT_timer_query :: Bool Source #

Is the EXT_timer_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTimerQuery` in those cases instead.

# Enums

pattern GL_TIME_ELAPSED_EXT :: GLenum Source #

# Functions

glGetQueryObjecti64vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

This command is an alias for `glGetQueryObjecti64v`.

glGetQueryObjectui64vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64`.
-> m () |

This command is an alias for `glGetQueryObjectui64v`.